Bug 782285 - [FEAT] volume set 'nfs-transport-type' should be included in 'volume set help'
[FEAT] volume set 'nfs-transport-type' should be included in 'volume set help'
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Avra Sengupta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-16 23:49 EST by M S Vishwanath Bhat
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-01-16 23:49:29 EST
Description of problem:
Currently there is volume set nfs-transport-type otpion but it is not included in volume set help. This option should be included in volume set help. 

Version-Release number of selected component (if applicable):
master


Steps to Reproduce:
1. Run volume set help
  
Actual results:
Description about 'nfs-transport-type' is not found.

Expected results:
Description about 'nfs-transport-type' should be there in set help.
Comment 1 Raghavendra Talur 2012-12-19 04:56:32 EST
We currently do not support the rdma option. 

If user does not specify the transport type during creation , it will be tcp by default.

However, if volume creation was done using "tcp,rdma" as transport type then volume set command can be used later to change the type from one to other. 

Hence, as rdma option is not yet supported , choosing to not expose this in help. We should revisit this bug when we start supporting rdma.
Comment 2 Amar Tumballi 2013-02-17 23:32:41 EST
with changes planned with proper vme-table implementation, this should be solved. so assigning it to Avra.
Comment 3 Vijay Bellur 2013-03-01 17:54:24 EST
CHANGE: http://review.gluster.org/4582 (glusterd: Added description for nfs.transport-type option in volume set help.) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.